<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="theme-color" content="#317EFB"/>
    <meta name="description" content="CMS is a software system designed to support the distance learning process with an emphasis on learning, as opposed to a guided learning environment, which is characterised by an emphasis on managing the learning process. ">
    <link rel="stylesheet" href="../css/header.css" />
    <link rel="stylesheet" href="../css/students.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css" integrity="sha512-DTOQO9RWCH3ppGqcWaEA1BIZOC6xxalwEsw9c2QQeAIftl+Vegovlnee1c9QX4TctnWMn13TZye+giMm8e2LwA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="manifest" href="../manifest.json">
    <title>CMS</title>
</head>
<body>
    <header class="header">
        <a class="header-title" href="../html/students.html">CMS</a>
        <div class="header-buttons">
            <!-- Notifications -->
            <div class="dropdown">
                <a class="dropbtn" aria-label="Notifications" href="../html/messages.html"><img id="Notifications_img" src="../images/bell-icon.png" alt="Bell icon" height="16"></a>
                <div class="dropdown-content" id="notificationsDropdown">
                    
                </div>
            </div>
            
            <!-- Profile/Settings-->
        <div class="user-icon-block">
            <div class="user-icon-img user-icon-img-unregistered" id="user-icon-img">
                <div class="user-icon-menu user-icon-menu-unregistered" id="user-icon-menu">
                    <a href="../html/auth.html">LogIn / Register</a>
                    <a href="" id="log-out-link">LogOut</a>
                </div>
            </div>
        </div>
        <div class="user-name-label"><div id="current-user-name"></div></div>
        </div>
    </header>
    <div class="container">
        <nav class="navigation">
            <ul class="navigation-list">
                <li class="navigation-item"><a href="#">Dashboard</a></li>
                <li class="navigation-item"><a href="#">Students</a></li>
                <li class="navigation-item"><a href="../html/tasks.html">Tasks</a></li>
            </ul>
        </nav>
        <main class="main">
            <div class="main-header">
                <div class="main-title">Students</div>
                <button class="main-button-add" aria-label="Add Student">
                    +
                </button>
            </div>
            <div class="main-content">
                <table id="table" class="main-table">
                    <thead>
                        <tr>
                            <th><input type="checkbox" id="checkbox-thead" aria-label="Select All Students" /></th>
                            <th>Group</th>
                            <th>Name</th>
                            <th>Gender</th>
                            <th>Birthday</th>
                            <th>Status</th>
                            <th>Options</th>
                        </tr>
                    </thead>
                    <tbody>
                        <!-- Table content goes here -->
                        
                    </tbody>
                </table>
                <nav class="main-navigation">
                    <button class="main-navigation-button">&lt;</button>
                    <button class="main-navigation-button">1</button>
                    <button class="main-navigation-button">2</button>
                    <button class="main-navigation-button">3</button>
                    <button class="main-navigation-button">4</button>
                    <button class="main-navigation-button">&gt;</button>
                </nav>
            </div>
        </main>
    </div>
    <!-- Modal -->
    <div id="myModal" class="modal">
        <div class="modal-content">
            <span class="close" aria-label="Close">&times;</span>
            <h4  id="modal-content-title">Add New Student</h4>
            <form id="addStudentForm">
                <div class="addStudentForm-elements">
                    <label for="group">Groups:</label><br>
                    <select id="group" name="group">
                        <option value="PZ-25">PZ-25</option>
                        <option value="PZ-26">PZ-26</option>
                        <option value="PZ-27">PZ-27</option>
                    </select><br>
                    <div id="Group-feedback" style="color: #ff2424;"></div>
                </div>
                <div class="addStudentForm-elements">
                    <label for="name">Name:</label><br>
                    <input type="text" id="name" name="name"><br>
                    <div id="Name-feedback" style="color: #ff2424;"></div>
                </div>
                <div class="addStudentForm-elements">
                    <label for="surname">Surname:</label><br>
                    <input type="text" id="surname" name="surname"><br>
                    <div id="Surname-feedback" style="color: #ff2424;"></div>
                </div>
                <div class="addStudentForm-elements">
                    <label for="gender">Gender:</label><br>
                    <select id="gender" name="gender">
                        <option value="M">Male</option>
                        <option value="F">Female</option>
                    </select><br>
                    <div id="Gender-feedback" style="color: #ff2424;"></div>
                </div>
                <div class="addStudentForm-elements">
                    <label for="birthday">Birthday:</label><br>
                    <input type="date" id="birthday" name="birthday" ><br> 
                    <div id="Birthday-feedback" style="color: #ff2424;"></div>
                    <input type="hidden" id="id" name="inputId" value="000000"><br> 
                </div>
                <div class="addStudentForm-elements">
                    <button type="submit" aria-label="Add Student">Add Student</button>
                </div>
            </form>
        </div>
    </div>
    <!-- Remove Student Confirmation Modal -->
    <div id="removeStudentModal" class="modal">
        <div class="modal-content">
            <h4>Remove Student</h4>
            <p>Are you sure you want to remove this student?</p>
            <div>
                <button id="confirmRemove" aria-label="Confirm Removal">Confirm</button>
                <button id="cancelRemove" aria-label="Cancel Removal">Cancel</button>
            </div>
        </div>
    </div>
    <script src="../js/script.js"></script>
    <script src="/socket.io/socket.io.js"></script>
  
  <script type="module" src="../js/header.js"></script>
  <script type="module" src="../js/tasks.js"></script>
    <script>
        if ('serviceWorker' in navigator) {
            navigator.serviceWorker.register('../sw.js').then(registration => {
                console.log('ServiceWorker registration successful with scope: ', registration);
            }).catch(error => {
                console.log('ServiceWorker registration failed: ', error);
            });
        }
    </script>
</body>
</html>
